## net.sourceforge.pmd.symboltable
Class MethodNameDeclaration

    java.lang.Object
      net.sourceforge.pmd.symboltable.AbstractNameDeclaration
          net.sourceforge.pmd.symboltable.MethodNameDeclaration

All Implemented Interfaces:
  NameDeclaration

public class MethodNameDeclaration
extends AbstractNameDeclaration

Field Summary

Fields inherited from class net.sourceforge.pmd.symboltable.AbstractNameDeclaration
`node`

Constructor Summary
`MethodNameDeclaration(ASTMethodDeclarator node)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`ASTMethodDeclarator` `getMethodNameDeclaratorNode()`
`int` `getParameterCount()`
`java.lang.String` `getParameterDisplaySignature()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class net.sourceforge.pmd.symboltable.AbstractNameDeclaration
`getImage, getNode, getScope`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodNameDeclaration

    public MethodNameDeclaration(ASTMethodDeclarator node)

Method Detail

### getParameterCount

    public int getParameterCount()

### getMethodNameDeclaratorNode

    public ASTMethodDeclarator getMethodNameDeclaratorNode()

### getParameterDisplaySignature

    public java.lang.String getParameterDisplaySignature()

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Copyright © 2002-2006 InfoEther. All Rights Reserved.